//  y-cruncher Custom Formula File
//
//  This can be loaded directly from the Custom Compute menu or
//  entered from the command line as "custom:filename".
//
//      y-cruncher custom custom:"constant - algorithm"
//
//
//    Author:  Alexander J. Yee & Benjam Welker
//    Date:    September 29, 2018 & March 15, 2020
//
//    Value: 6.28318530717958647692528676655900576839433879875021...
//
//    http://www.numberworld.org/y-cruncher/internals/binary-splitting-library.html#pi_ramanujan
//

{
    NameShort : "Tau"
    NameLong : "Tau"
    AlgorithmShort : "Ramanujan"
    AlgorithmLong : "Ramanujan (1910)"
    Formula : {
        Shift : [
            {
                Multiply : [
                    {
                        SeriesHypergeometric : {
                            Power : -1
                            CoefficientP : 1
                            CoefficientQ : 1103
                            CoefficientD : 9801
                            PolynomialP : [-3309 -54904 527636 -1231424 844480]
                            PolynomialQ : [0 0 0 3073907232]
                            PolynomialR : [-3 22 -48 32]
                        }
                    }
                    {Invsqrt : 8}
                ]
            }
            1
        ]
    }
}
